using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication5
{
    class Program
    {
        static void Main(string[] args)
        {
            var ulaz = Console.ReadLine().Split();
            Int64 p = Int64.Parse(ulaz[0]);
            Int64 q = Int64.Parse(ulaz[1]);
            Int64 r = Int64.Parse(ulaz[2]);
            Int64 L = Int64.Parse(ulaz[3]);
            Int64 R = Int64.Parse(ulaz[4]);
            Int64 br = 0;
            for (Int64 i = L; i <= R; i++)
            {
                Int64 k1 = i / p, k2 = i / q, k3 = i / r;
                if (i / p > i % p)
                {
                    k1++;
                }
                if (i / q > i % q)
                {
                    k2++;
                }
                if (i / r > i % r)
                {
                    k3++;
                }
                if (k1 + k2 + k3 <= i)
                {
                    br++;
                }
            }
            Console.WriteLine(br);
        }
    }
}